# chiefOfStaff.people.find

Find people in the Chief of Staff's Discord server by Discord id or part of their name, to add them to a rule or the ignored list. Only the platform owner's workspace has a Chief of Staff. Finance access required.

`GET | POST /api/v1/accounting/chiefOfStaff.people.find`

Permissions: `accounting:read` · Roles: admin, finance

MCP tool: `accounting_chief_of_staff_people_find`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `guildId` | string | Yes | Matches ^\d{17,20}$. |
| `query` | string | Yes | A Discord id, or part of a name or username. 1–100 characters. |

## Example request

```bash
curl -G https://app.getoatmilk.com/api/v1/accounting/chiefOfStaff.people.find \
  -H "Authorization: Bearer $OATMILK_API_KEY" \
  --data-urlencode 'guildId=11111111111111111' \
  --data-urlencode 'query=office supplies'
```

Reference page: https://app.getoatmilk.com/docs/api/chiefOfStaff.people.find
